
QGIS Application - Bug report #15686

Save as Image from WMS/WMTS has reprojection issues

2016-10-10 12:29 AM - whatnick -

Status: Closed

Priority: Normal

Assignee: whatnick -

Category: Rasters

Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23609

Description

When saving images from WMS/WMTS to a projection not native to the source online dataset, reprojection is performed and artefacts are

introduced. See attached sample images for a demonstration.

History

#1 - 2016-10-13 03:42 AM - Martin Dobias

How did you do the export with and without reprojection? Do you have source WMS/WMTS to replicate it?

Anyway, it can be expected that some artifacts are introduced, especially if the attached reprojected image has slightly smaller resolution than the original

layer.

#2 - 2016-10-20 05:38 PM - whatnick -

Reprojection was performed by selecting the target SRS in the "Save As" dialog. The resolution in both case was set to 0.08cm . The WMS we are using is

private. I can create an account for you to debug and email the auth details to you.

#3 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#5 - 2017-09-25 03:29 AM - whatnick -

We currently have a work around chaining the WMS Save-As with Raster tools (GDAL) warp - 

https://metromap.freshdesk.com/support/solutions/articles/22000000726--using . I have some time to do dev work and will submit pull requests over the

next month, should be a relatively benign fix since reprojection is in place already just interpolation algorithms are not selectable.

#6 - 2017-09-25 11:55 AM - Giovanni Manghi

- Category changed from Unknown to Rasters

#7 - 2017-10-17 05:04 AM - whatnick -

- Assignee set to whatnick -
The issue is mainly due to "core\raster\qgsrasterprojector.cpp" performing fast/approximate raster reprojection meant for on-the-fly reprojection for saving

high-quality files to disk. I propose the following enhancements:

1) Add check-box in Save As Dialog for WMS to trigger alternate resampling methods

2) Rewrite raster reprojector to respect this flag and implement at least bilinear resampling

OR

Chain GdalWarp API at the end of the save process to reproject instead of using the simple reprojector.

#8 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
